/**
 * Autogenerated by Thrift Compiler (1.0.0-dev)
 *
 * DO NOT EDIT UNLESS YOU ARE SURE THAT YOU KNOW WHAT YOU ARE DOING
 *  @generated
 */
package jayeson.vodds.service.cms.thrift;


import java.util.Map;
import java.util.HashMap;
import org.apache.thrift.TEnum;

public enum ThriftOrderType implements org.apache.thrift.TEnum {
  NORMAL(0),
  POSITIONAL_OPEN(1),
  POSITIONAL_CLOSE(2);

  private final int value;

  private ThriftOrderType(int value) {
    this.value = value;
  }

  /**
   * Get the integer value of this enum value, as defined in the Thrift IDL.
   */
  public int getValue() {
    return value;
  }

  /**
   * Find a the enum type by its integer value, as defined in the Thrift IDL.
   * @return null if the value is not found.
   */
  public static ThriftOrderType findByValue(int value) { 
    switch (value) {
      case 0:
        return NORMAL;
      case 1:
        return POSITIONAL_OPEN;
      case 2:
        return POSITIONAL_CLOSE;
      default:
        return null;
    }
  }
}
